Communications
Send a message
GET
/
admin
/
message
/
send
/
{entity_id}
/
{donor_id}
/
{from}
/
{file_id}
Send a message
curl --request GET \
--url https://api.gratona.com/v1/admin/message/send/{entity_id}/{donor_id}/{from}/{file_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/message/send/{entity_id}/{donor_id}/{from}/{file_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/message/send/{entity_id}/{donor_id}/{from}/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/message/send/{entity_id}/{donor_id}/{from}/{file_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/message/send/{entity_id}/{donor_id}/{from}/{file_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/message/send/{entity_id}/{donor_id}/{from}/{file_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/message/send/{entity_id}/{donor_id}/{from}/{file_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"entity_id": 123,
"donor_id": 123,
"file_id": 123,
"entities": [
{}
],
"donors": [
{}
],
"from": "<string>",
"from_title": "<string>",
"to": "<string>",
"s": "<string>",
"from_name": "<string>",
"recipients": [
{}
],
"file": {},
"thumbnail": "<string>",
"link": "<string>",
"profileThumb": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Path Parameters
The id of the entity
The donor id or all when the UI is resolving every sponsor for an entity.
The sender of the message
The id of the file attached to the message
⌘I
Send a message
curl --request GET \
--url https://api.gratona.com/v1/admin/message/send/{entity_id}/{donor_id}/{from}/{file_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/message/send/{entity_id}/{donor_id}/{from}/{file_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/message/send/{entity_id}/{donor_id}/{from}/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/message/send/{entity_id}/{donor_id}/{from}/{file_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/message/send/{entity_id}/{donor_id}/{from}/{file_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/message/send/{entity_id}/{donor_id}/{from}/{file_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/message/send/{entity_id}/{donor_id}/{from}/{file_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"entity_id": 123,
"donor_id": 123,
"file_id": 123,
"entities": [
{}
],
"donors": [
{}
],
"from": "<string>",
"from_title": "<string>",
"to": "<string>",
"s": "<string>",
"from_name": "<string>",
"recipients": [
{}
],
"file": {},
"thumbnail": "<string>",
"link": "<string>",
"profileThumb": "<string>"
}